Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services
Class TurbineServices

    java.lang.Object
      org.apache.turbine.services.BaseServiceBroker
          org.apache.turbine.services.TurbineServices

All Implemented Interfaces:
  ServiceBroker, ServiceManager

    public class TurbineServices

extends BaseServiceBroker
implements ServiceManager

This is a singleton utility class that acts as a Services broker.

Version:
  $Id: TurbineServices.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Greg Ritter, Brett McLaughlin, Kevin Burton, Rafal Krzewski, Jon S. Stevens, Jason van Zyl, Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.turbine.services.BaseServiceBroker
`CLASSNAME_SUFFIX, SERVICE_PREFIX`

Constructor Summary
`protected` | `TurbineServices()` This constructor is protected to force clients to use getInstance() to access this class.

Method Summary
`static ServiceManager` | `getInstance()` The method through which this class is accessed as a broker.
`static void` | `setManager(ServiceManager manager)` The method through which to change the default manager.

Methods inherited from class org.apache.turbine.services.BaseServiceBroker
`getApplicationRoot, getConfiguration, getConfiguration, getNonLocalService, getService, getServiceInstance, getServiceNames, getServiceNames, getServiceObject, init, initMapping, initService, initServices, initServices, isLocalService, isNonLocalService, isRegistered, setApplicationRoot, setConfiguration, setServiceObject, shutdownService, shutdownServices`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.turbine.services.ServiceManager
`getConfiguration, init, setApplicationRoot, setConfiguration`

Methods inherited from interface org.apache.turbine.services.ServiceBroker
`getConfiguration, getService, initService, isRegistered, shutdownService, shutdownServices`

Constructor Detail

### TurbineServices

    protected TurbineServices()

  This constructor is protected to force clients to use getInstance() to access this class.

Method Detail

### getInstance

    public static ServiceManager getInstance()

  The method through which this class is accessed as a broker.

  Returns:
    The single instance of this class.

### setManager

    public static void setManager(ServiceManager manager)

  The method through which to change the default manager. Note that services of the previous manager will be shutdown.

  Parameters:
    `manager` - a new service manager.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.